# FairMQ: fair::mq::ofi::Context Class Reference

fair::mq::ofi::Context Class Reference

Transport-wide context. More...

`#include <fairmq/ofi/Context.h>`

## Public Member Functions

| Context (FairMQTransportFactory &sendFactory, FairMQTransportFactory &receiveFactory, int numberIoThreads=1)
auto | GetAsiofiVersion () const -> std::string
auto | GetIoContext () -> boost::asio::io_context &
auto | Interrupt () -> void
auto | Resume () -> void
auto | Reset () -> void
auto | MakeReceiveMessage (size_t size) -> MessagePtr
auto | MakeSendMessage (size_t size) -> MessagePtr
auto | GetSizeHint () -> size_t
auto | SetSizeHint (size_t size) -> void

## Static Public Member Functions

static auto | ConvertAddress (std::string address) -> Address
static auto | ConvertAddress (Address address) -> sockaddr_in
static auto | ConvertAddress (sockaddr_in address) -> Address
static auto | VerifyAddress (const std::string &address) -> Address

## Detailed Description

Transport-wide context.

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/Context.h
- fairmq/ofi/Context.cxx

privacy